:root {
	--accent-color: #d60c5d;
	--aside-color-light: #cdd73c;
	--aside-color-dark: #646000;
  
	--sunset-gradient: linear-gradient(var(--_direction), #ff8f3e, #cf132c, #420d6e);

	--font-accent: Rosario, sans-serif;
	--font-main: Raleway, sans-serif;
	--font-script: Kalam, serif;

	--default-animation: 250ms;
}

body, html {
	margin: 0;
	font-family: var(--font-main);
	background-color: black;
	font-feature-settings: "lnum";
}
main { background-color: white; }

h1, h2, h3, h4, h5, h6 {
	font-family: var(--font-accent);
	margin: 0;	
}
p { 
	margin: 0; 
	font-size: 15pt;
}
abbr { cursor: help; }
a { color: var(--accent-color); }

.spacer {
	flex-grow: 10;
}

h1 { font-size: 24pt; }
h2 { font-size: 21pt; }
h3 { font-size: 18pt; }
h4 { font-size: 17pt; }
h5 { font-size: 16pt; }
h6 { font-size: 15pt; }



main {
	--gap: 16px;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: var(--gap);
}

main > section {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: var(--gap);
}

main > section > picture {
	position: relative;
	width: 100vw;
	height: 550px;
}
main > section:first-of-type > picture { height: 300px; }

main > section > picture > img { 
	--_initial-height: 50%; /* Default to centering the image */
	object-fit: cover; 
	width: 100%;
	height: 100%;
	object-position: 50% var(--_initial-height);
}
main > section > div {
	display: flex;
	flex-direction: column;
	justify-content: stretch;
	gap: var(--gap);
	max-width: 800px;
	padding: 0 min(4vw, 16px);
}
main > section > div > * { line-height: 150%; }

main > section aside {
	padding: 16px;
	box-sizing: border-box;

	border: 1px dashed var(--aside-color-light);
	border-radius: 8px;

	color: var(--aside-color-dark);
}
main > section aside a {
	color: var(--aside-color-dark);
	font-weight: bold;
}

main > section > div > h1:first-of-type { 
	font-size: 24pt;
	margin-top: 1rem !important; 
}

main > section label#search-label {
	padding: 0 24px;
	
	font-size: 14pt;
	text-align: right;
}
main > section label#search-label > input#search {
	padding: 8px 16px;
	width: 325px;
	margin-left: 8px;
	
	font-size: 14pt;

	border: 1px solid grey;
	border-radius: 24px;
}

main > section ul.masonry {
	position: relative;
	width: min-content;
	padding: 0 24px;
	margin-top: 0;
	box-sizing: border-box;
	columns: 3 auto;
	column-gap: 1rem;
}

main > section ul > p {
	position: absolute;
	display: grid;
	justify-content: center;
	width: 100%;
	bottom: 0;
	left: 0;
	top: 0;

	background: linear-gradient(to bottom, transparent 0%, white 80%, white 100%);

	font-size: 24pt;
	color: grey;
	font-style: oblique;
	font-weight: bold;
	letter-spacing: 3px;
	user-select: none;
}

main > section ul.masonry > li {
	list-style-type: none;
	display: inline-block;
	border: 1px solid grey;
	background: radial-gradient(at bottom, lightgrey, rgb(191, 191, 191));
	width: 400px;
	margin-bottom: 1rem;
	border-radius: 8px;
	box-shadow: 0px 6px 4px -4px hsla(0, 0%, 0%, 0.2);
}

main > section ul.masonry > li.placeholder:nth-child(2) { height: 250px; } 
main > section ul.masonry > li.placeholder:nth-child(3) { height: 210px; } 
main > section ul.masonry > li.placeholder:nth-child(4) { height: 220px; } 
main > section ul.masonry > li.placeholder:nth-child(5) { height: 380px; } 
main > section ul.masonry > li.placeholder:nth-child(6) { height: 430px; } 
main > section ul.masonry > li.placeholder:nth-child(7) { height: 450px; } 
main > section ul.masonry > li.placeholder:nth-child(8) { height: 325px; } 
main > section ul.masonry > li.placeholder:nth-child(9) { height: 290px; } 
main > section ul.masonry > p { padding-top: 176px; }

main > section ul.linear {
	position: relative;
	width: min-content;
	padding: 0 24px;
	margin-top: 0;
	box-sizing: border-box;
}

main > section ul.linear > li {
	list-style-type: none;
	display: inline-block;
	border: 1px solid grey;
	background: radial-gradient(at bottom, lightgrey, rgb(191, 191, 191));
	width: 1000px;
	height: 125px;
	margin-bottom: 1rem;
	border-radius: 8px;
	box-shadow: 0px 6px 4px -4px hsla(0, 0%, 0%, 0.2);
}
main > section ul.linear > p { padding-top: 44px; }

main > hr {
	width: 750px;
	height: 1px;
	border: none;
	margin: 2rem auto;

	color: grey;
	background-color: lightgrey;
}